org.apache.tomcat.websocket.server

## Class WsSessionListener

- java.lang.Object
- - org.apache.tomcat.websocket.server.WsSessionListener

All Implemented Interfaces:
  EventListener, HttpSessionListener

    public class WsSessionListener
    extends Object
    implements HttpSessionListener

### Constructor Summary

Constructors
Constructor and Description
`WsSessionListener(WsServerContainer wsServerContainer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `sessionDestroyed(HttpSessionEvent se)` Notification that a session is about to be invalidated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.http.HttpSessionListener

`sessionCreated`

### Constructor Detail

#### WsSessionListener

    public WsSessionListener(WsServerContainer wsServerContainer)

### Method Detail

#### sessionDestroyed

    public void sessionDestroyed(HttpSessionEvent se)

Description copied from interface: `javax.servlet.http.HttpSessionListener`
Notification that a session is about to be invalidated. The default implementation is a NO-OP.

Specified by:
  `sessionDestroyed` in interface `HttpSessionListener`
Parameters:
  `se` - the notification event